API Reference
Auto-generated
Privacy
API reference for privacy endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/v1/privacy/opt-out
POST
/api/v1/privacy/opt-outRequest removal from enrichment results
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
string | Required | Email address to opt out | |
| domain | string | Optional | domain |
| reason | string | Optional | reason |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/privacy/opt-out \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "example_email"
}'Response Example
JSON
{
"success": true,
"message": "example",
"email": "example"
}